Package: org.grails.web.servlet.mvc

## [Groovy] Interface ActionResultTransformer

-     interface ActionResultTransformer

  Interface for classes which transform the result of an action. These can be registered with the Spring context and are loaded and applied to action responses

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract java.lang.Object` | `transformActionResult(GrailsWebRequest webRequest, java.lang.String viewName, java.lang.Object actionResult)` Transforms an action result

- - ### Method Detail

    - #### abstract java.lang.Object transformActionResult(GrailsWebRequest webRequest, java.lang.String viewName, java.lang.Object actionResult)

      Transforms an action result

      Parameters:
        `webRequest` - The web request
        `viewName` - The view name
        `actionResult` - The return value of an action
      Returns:
        The transformed result